version: "3.9"
services:
  web:
    image: ardiefernandes/laravel-mix-apache-dev:8.0
    container_name: lr.web

    environment:
      WEB_DOCUMENT_ROOT: /workspace/app/public
      LARAVEL_APP_ROOT: /workspace/app
      LARAVEL_WORKER_DRIVER: redis
      PHP_MEMORY_LIMIT: -1
      PHP_DISPLAY_ERRORS: -1

    ports:
    - "8080:80"
    - "9003:9003" # XDebug3 port

    volumes:
      - .:/workspace
      - ~:/home/application:cached

  redis:
    image: redis:alpine
    container_name: lr.redis

  mariadb:
    image: mariadb:10.6
    container_name: lr.mariadb

    ports:
      - "3306:3306"

    volumes:
      - /var/docker/mariadb/lr/var/lib/mysql:/var/lib/mysql
      - /var/docker/mariadb/lr/etc/mysql:/etc/mysql

    environment:
      MYSQL_RANDOM_ROOT_PASSWORD: "true"
      MYSQL_DATABASE: laravel
      MYSQL_USER: application
      MYSQL_PASSWORD: cGm9?@523SjusRw5

